# Importieren der Pygame-Bibliothek
import pygame

# initialisieren von pygame
pygame.init()

# genutzte Farbe
ORANGE  = ( 255, 140, 0)
ROT     = ( 255, 0, 0)
GRUEN   = ( 0, 255, 0)
SCHWARZ = ( 0, 0, 0)
WEISS   = ( 255, 255, 255)

#Positionsvariablen
figurx = 10
figury = 10
skalierung = 25

punkte = 0

karte=[
[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
[0,0,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0],
[0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0],
[0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0],
[0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0],
[0,1,1,1,1,1,0,0,1,1,1,1,0,0,1,1,1,1,1,0],
[0,1,1,1,1,1,0,0,1,1,1,1,0,0,1,1,1,1,1,0],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0],
[0,1,1,1,1,1,0,0,1,1,1,1,0,0,1,1,1,1,1,0],
[0,0,1,1,1,1,1,1,0,0,0,0,1,1,1,1,1,1,0,0],
[0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0],
[0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0],
[0,0,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0],
] 

# Fenster öffnen
fenster=pygame.display.set_mode((640, 480))

figur = pygame.image.load("Fee.png")

# Titel für Fensterkopf
pygame.display.set_caption("Unser erstes Pygame-Spiel")

#Bildschirmaktualisierung einstellen
clock = pygame.time.Clock()

# solange die Variable True ist, soll das Spiel laufen
spielaktiv = True

# Schleife Hauptprogramm
while spielaktiv:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            spielaktiv = False
        elif event.type == pygame.KEYDOWN:
            print("Spieler hat Taste gedrückt")

            # Tasteabfrage
            if event.key == pygame.K_RIGHT:
                print("Spieler hat Pfeiltaste rechts gedrückt")
                figurx = figurx + 1
                if figurx > 15:
                    figurx = 15
            elif event.key == pygame.K_LEFT:
                print("Spieler hat Pfeiltaste links gedrückt")
                figurx = figurx - 1 
                figur=pygame.transform.flip(figur,True,False)
                if figurx < 5:
                    figurx = 5
            elif event.key == pygame.K_UP:
                print("Spieler hat Pfeiltaste hoch gedrückt")
                figury = figury - 1
                if figurx > 4:
                    figurx = 4
            elif event.key == pygame.K_DOWN:
                print("Spieler hat Pfeiltaste runter gedrückt")
                figury = figury + 1
                if figurx > 20:
                    figurx = 20
            
    

    # Spielfeld löschen
    fenster.fill(WEISS)

    for x in range(0,20):
        for y in range(0,17):
            if karte[y][x] != 0:
                pygame.draw.ellipse(fenster,ORANGE,[x*skalierung,y*skalierung,5,5])
                
    
    if karte[figury + 4][figurx + 3] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 4][figurx + 3] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 4][figurx + 2] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 4][figurx + 2] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 4][figurx + 1] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 4][figurx + 1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 4][figurx] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 4][figurx] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 3][figurx + 3] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 3][figurx + 3] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 3][figurx + 2] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 3][figurx + 2] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 3][figurx + 1] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 3][figurx + 1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 3][figurx] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 3][figurx] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 2][figurx + 3] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 2][figurx + 3] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 2][figurx + 2] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 2][figurx + 2] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 2][figurx + 1] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 2][figurx + 1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 2][figurx] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 2][figurx] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 1][figurx + 3] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 1][figurx + 3] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 1][figurx + 2] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 1][figurx + 2] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury + 1][figurx + 1] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury + 1][figurx + 1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury][figurx + 3] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury][figurx + 3] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury][figurx + 2] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury][figurx + 2] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
    if karte[figury][figurx + 1] != 0:  # x,3 ; y,4, Münzen einsammeln 
        karte[figury][figurx + 1] = 0
        punkte+=1
        print("Punkteanzahl: " + str(punkte))
        

    ausgabetext = "Sternanzahl: " + str(punkte)
    font = pygame.font.SysFont(None, 70)
    text = font.render(ausgabetext, True, ROT)
    fenster.blit(text, [100, 10])  

    # Figur zeichnen
    fenster.blit(figur, (figurx*skalierung,figury*skalierung))

    # Fenster aktualisiere
    pygame.display.flip()


    #resfresh zeit
    clock.tick(60)

pygame.quit()
quit()
